@import 'config';
@import 'menu';

* {
    box-sizing: border-box;
}

body {
    @include background;
    background: $primary-color;
    color: $white;
    height: 100%;
    margin: 0;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    line-height: 1.5;
    ;
}

// Headings
h1,
h2,
h3 {
    margin: 0;
    font-weight: 400;
    &.lg-heading {
        font-size: 6rem;
    }
    &.sm-heading {
        margin-bottom: 2rem;
        padding: 0.2rem 1rem;
        background: rgba(lighten($primary-color, 2), 0.5);
    }
}

a {
    color: $white;
    text-decoration: none;
}

header {
    position: fixed;
    z-index: 2;
    width: 100%;
}

.text-secondary {
    color: $secondary-color;
}

main {
    padding: 4rem;
    height: 100%;
    .icons {
        margin-top: 1rem;
        a {
            padding: 0.4rem;
            &:hover {
                color: $secondary-color;
                @include easeOut;
            }
        }
    }
    &#home {
        overflow: hidden;
        h1 {
            margin-top: 20vh;
        }
    }
}